Subject: [RFC PATCH 1/2] ARM: imx: add BYPASS support for PLL clocks

From: [email-masked] (Shawn Guo)
Date: Thu, 28 Aug 2014 16:44:21 +0800

On Tue, Aug 26, 2014 at 11:35:12PM +0800, Shawn Guo wrote:
> The i.MX6 clock drivers currently hard-code all PLL clocks sourcing from
> OSC24M without BYPASS support.  The patch adds BYPASS and BYPASS_CLK_SRC
> selection for PLL clocks as per Figure 10-3. Primary Clock Generation
> in IMX6DQRM, i.e. both BYPASS_CLK_SRC and BYPASS bits are implemented as
> mux clocks, and ENABLE bit of PLL clocks is implemented as a gate clock
> after BYPASS mux.
> 
> Signed-off-by: Shawn Guo <[email-masked]>

Shengjiu,

Can you please test if this BYPASS support works good for your ESAI use
case?

Shawn